Package com.avaya.clientservices.collaboration

## Class CollaborationCapabilities

- java.lang.Object
- - com.avaya.clientservices.collaboration.CollaborationCapabilities

-     public class CollaborationCapabilities
      extends java.lang.Object

  The CollaborationCapabilities object provides access to collaboration capabilities.

  This object is accessible via `Collaboration` and groups all its properties. Each property is also accessible directly from the `Collaboration` object.

  See Also:
    `Collaboration.getCapabilities()`, `Collaboration`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollaborationCapabilities()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Capability` | `getChatCapability()` | `Collaboration.getChatCapability()`
    `Capability` | `getContentSharingCapability()` | `Collaboration.getContentSharingCapability()`
    `Capability` | `getLibrarySharingCapability()` | `Collaboration.getLibrarySharingCapability()`
    `Capability` | `getMeetingMinutesCapability()` | `Collaboration.getMeetingMinutesCapability()`
    `Capability` | `getNetworkLibraryCapability()` | `Collaboration.getNetworkLibraryCapability()`
    `Capability` | `getRetrieveParticipantListCapability()` | `Collaboration.getRetrieveParticipantListCapability()`
    `Capability` | `getWhiteboardCapability()` | `Collaboration.getWhiteboardCapability()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollaborationCapabilities

          public CollaborationCapabilities()

  - ### Method Detail

    - #### getChatCapability

          public Capability getChatCapability()

      `Collaboration.getChatCapability()`
      Returns:
        capability information

    - #### getMeetingMinutesCapability

          public Capability getMeetingMinutesCapability()

      `Collaboration.getMeetingMinutesCapability()`
      Returns:
        capability information

    - #### getContentSharingCapability

          public Capability getContentSharingCapability()

      `Collaboration.getContentSharingCapability()`
      Returns:
        capability information

    - #### getNetworkLibraryCapability

          public Capability getNetworkLibraryCapability()

      `Collaboration.getNetworkLibraryCapability()`
      Returns:
        capability information

    - #### getLibrarySharingCapability

          public Capability getLibrarySharingCapability()

      `Collaboration.getLibrarySharingCapability()`
      Returns:
        capability information

    - #### getWhiteboardCapability

          public Capability getWhiteboardCapability()

      `Collaboration.getWhiteboardCapability()`
      Returns:
        capability information

    - #### getRetrieveParticipantListCapability

          public Capability getRetrieveParticipantListCapability()

      `Collaboration.getRetrieveParticipantListCapability()`
      Returns:
        capability information